Functions.Validate(String, String, IValidateRequest, Func<HttpResponseMessage,Task<IValidateResponse>,Task>, Func<HttpResponseMessage,Task<IDefaultErrorResponse>,Task>, IEventListener, ISendAsync) Method

Definition

public System.Threading.Tasks.Task Validate (string resourceGroupName, string subscriptionId, Microsoft.Azure.PowerShell.Cmdlets.Functions.Models.Api20190801.IValidateRequest body, Func<System.Net.Http.HttpResponseMessage,System.Threading.Tasks.Task<Microsoft.Azure.PowerShell.Cmdlets.Functions.Models.Api20190801.IValidateResponse>,System.Threading.Tasks.Task> onOk, Func<System.Net.Http.HttpResponseMessage,System.Threading.Tasks.Task<Microsoft.Azure.PowerShell.Cmdlets.Functions.Models.Api20190801.IDefaultErrorResponse>,System.Threading.Tasks.Task> onDefault, Microsoft.Azure.PowerShell.Cmdlets.Functions.Runtime.IEventListener eventListener, Microsoft.Azure.PowerShell.Cmdlets.Functions.Runtime.ISendAsync sender);
member this.Validate : string * string * Microsoft.Azure.PowerShell.Cmdlets.Functions.Models.Api20190801.IValidateRequest * Func<System.Net.Http.HttpResponseMessage, System.Threading.Tasks.Task<Microsoft.Azure.PowerShell.Cmdlets.Functions.Models.Api20190801.IValidateResponse>, System.Threading.Tasks.Task> * Func<System.Net.Http.HttpResponseMessage, System.Threading.Tasks.Task<Microsoft.Azure.PowerShell.Cmdlets.Functions.Models.Api20190801.IDefaultErrorResponse>, System.Threading.Tasks.Task> * Microsoft.Azure.PowerShell.Cmdlets.Functions.Runtime.IEventListener * Microsoft.Azure.PowerShell.Cmdlets.Functions.Runtime.ISendAsync -> System.Threading.Tasks.Task
Public Function Validate (resourceGroupName As String, subscriptionId As String, body As IValidateRequest, onOk As Func(Of HttpResponseMessage, Task(Of IValidateResponse), Task), onDefault As Func(Of HttpResponseMessage, Task(Of IDefaultErrorResponse), Task), eventListener As IEventListener, sender As ISendAsync) As Task

Parameters

resourceGroupName
String
subscriptionId
String
eventListener
IEventListener
sender
ISendAsync

Returns

Task

Applies to